io.vertx.ext.web.openapi.router

## Interface OpenAPIRoute

-     public interface OpenAPIRoute

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenAPIRoute` | `addFailureHandler(Handler<RoutingContext> handler)` Adds a failure handler for this route
    `OpenAPIRoute` | `addHandler(Handler<RoutingContext> handler)` Adds a handler for this route which is executed after the security and validation handlers defined in the contract
    `boolean` | `doValidation()`
    `List<Handler<RoutingContext>>` | `getFailureHandlers()`
    `List<Handler<RoutingContext>>` | `getHandlers()`
    `Operation` | `getOperation()`
    `OpenAPIRoute` | `setDoValidation(boolean doValidation)` Sets the validation flag for incoming requests.

- - ### Method Detail

    - #### addHandler

          OpenAPIRoute addHandler(Handler<RoutingContext> handler)

      Adds a handler for this route which is executed after the security and validation handlers defined in the contract
      Parameters:
        `handler` - The handler to add
      Returns:
        the route

    - #### getHandlers

          List<Handler<RoutingContext>> getHandlers()

      Returns:
        handlers of this route

    - #### addFailureHandler

          OpenAPIRoute addFailureHandler(Handler<RoutingContext> handler)

      Adds a failure handler for this route
      Parameters:
        `handler` - The failure handler to add
      Returns:
        the route

    - #### getFailureHandlers

          List<Handler<RoutingContext>> getFailureHandlers()

      Returns:
        failure handlers of this route

    - #### getOperation

          Operation getOperation()

      Returns:
        the related operation of this route

    - #### doValidation

          boolean doValidation()

      Returns:
        true if validation based on the OpenAPI contract is active for this route. By default, it is active.

    - #### setDoValidation

          OpenAPIRoute setDoValidation(boolean doValidation)

      Sets the validation flag for incoming requests.
      Parameters:
        `doValidation` - The validation flag.
      Returns:
        the route

Copyright © 2025 Eclipse. All rights reserved.